=== debian/control ===
Source: gwenview
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               libexiv2-dev,
               libjpeg-dev,
               libkactivities-dev,
               libkipi-dev (>= 4:4.14.1),
               libkonq5-dev (>= 4:4.14.1),
               liblcms2-dev,
               libpng-dev,
               libqt4-opengl-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               baloo-dev (>= 4:4.14.1),
               libkfilemetadata-dev (>= 4:4.14.1),
               libkdcraw-dev (>= 4:4.14.1)
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/gwenview.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/gwenview.git

Package: gwenview
Section: graphics
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kdegraphics-libs-data (<< 4:4.7.1~)
Breaks: kdegraphics-libs-data (<< 4:4.7.1~)
Recommends: kamera, qapt-batch
Suggests: svgpart
Description: image viewer
 Gwenview is an image viewer, ideal for browsing and displaying a collection of
 images.  It is capable of showing images in a full-screen slideshow view and
 making simple adjustments, such as rotating or cropping images.
 .
 This package is part of the KDE graphics module.

Package: gwenview-dbg
Section: debug
Architecture: any
Priority: extra
Depends: gwenview (= ${binary:Version}), kde-runtime-dbg, ${misc:Depends}
Replaces: kdegraphics-dbg (<< 4:4.7.1~)
Breaks: kdegraphics-dbg (<< 4:4.7.1~)
Description: debugging symbols for the gwenview
 This package contains debugging files used to investigate problems with
 Gwenview.
 .
 This package is part of the KDE graphics module.
