## gwenview 4.14.2

=== color-schemes/CMakeLists.txt ===
install(
    FILES fullscreen.colors
    DESTINATION ${DATA_INSTALL_DIR}/gwenview/color-schemes/
    )
