=== debian/control ===
--- 
+++ 
@@ -1,27 +1,26 @@
 Source: gwenview
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>,
            Sune Vuorela <sune@debian.org>,
            Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
+Build-Depends: baloo-dev (>= 4.13),
+               cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
                libexiv2-dev,
                libjpeg-dev,
-               libkactivities-dev,
-               libkipi-dev (>= 4:4.14.1),
-               libkonq5-dev (>= 4:4.14.1),
+               libkactivities-dev (>= 4:4.11),
+               libkdcraw-dev (>= 4:4.13),
+               libkfilemetadata-dev (>= 4:4.13),
+               libkipi-dev (>= 4:4.11),
+               libkonq5-dev (>= 4:4.11),
                liblcms2-dev,
                libpng-dev,
                libqt4-opengl-dev,
                pkg-config,
-               pkg-kde-tools (>= 0.12),
-               baloo-dev (>= 4:4.14.1),
-               libkfilemetadata-dev (>= 4:4.14.1),
-               libkdcraw-dev (>= 4:4.14.1)
+               pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.5
 XS-Testsuite: autopkgtest
 Homepage: http://www.kde.org/
@@ -34,7 +33,7 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Replaces: kdegraphics-libs-data (<< 4:4.7.1~)
 Breaks: kdegraphics-libs-data (<< 4:4.7.1~)
-Recommends: kamera, qapt-batch
+Recommends: kamera
 Suggests: svgpart
 Description: image viewer
  Gwenview is an image viewer, ideal for browsing and displaying a collection of
