## gwenview 14.12.3

=== debian/changelog ===
gwenview (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 14:36:55 -0700

gwenview (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 09:41:00 -0800

gwenview (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 11 Dec 2014 15:22:21 -0800

gwenview (4:14.11.97-0ubuntu1) vivid; urgency=medium

  [ Harald Sitter ]
  * KDE Frameworks 5 Port
    + Semantic backend (baloo) is not to be enabled for first release

  [ Philip Muškovac ]
  * New upstream release candidate.
  * Update Vcs urls for the new repository location.
  * Fix watch urls for new release location.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * PPA build

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 28 Nov 2014 19:58:15 +0100
