=== debian/control ===
Source: gwenview
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules,
               libexiv2-dev,
               libjpeg-dev,
               libkf5activities-dev,
               libkf5kdelibs4support-dev,
               liblcms2-dev,
               libphonon4qt5-dev,
               libphonon4qt5experimental4,
               libpng-dev,
               libqt5opengl5-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtscript5-dev
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/gwenview.git/
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/gwenview.git

Package: gwenview
Section: graphics
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kdegraphics-libs-data (<< 4:4.7.1~)
Breaks: kdegraphics-libs-data (<< 4:4.7.1~)
Recommends: kamera
Description: image viewer
 Gwenview is an image viewer, ideal for browsing and displaying a collection of
 images.  It is capable of showing images in a full-screen slideshow view and
 making simple adjustments, such as rotating or cropping images.
 .
 This package is part of the KDE graphics module.

Package: gwenview-dbg
Section: debug
Architecture: any
Priority: extra
Depends: gwenview (= ${binary:Version}), ${misc:Depends}
Replaces: kdegraphics-dbg (<< 4:4.7.1~)
Breaks: kdegraphics-dbg (<< 4:4.7.1~)
Description: debugging symbols for the gwenview
 This package contains debugging files used to investigate problems with
 Gwenview.
 .
 This package is part of the KDE graphics module.
