=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

.PHONY: override_dh_auto_test

override_dh_auto_configure:
	$(overridden_command) -- -DGWENVIEW_SEMANTICINFO_BACKEND_NONE=true

override_dh_strip:
	$(overridden_command) --dbg-package=gwenview-dbg
