## gwenview 15.08.2

=== debian/changelog ===
gwenview (4:15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 11:51:51 +0100

gwenview (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)
  * Adding libkipi-dev and libkdcraw-dev as build dependencies

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 16:11:36 +0100

gwenview (4:15.08.0-0ubuntu2) wily; urgency=medium

  * Recommend kio-extras as gwenview uses for example the zip protocol to
    load zips directly. Additionally this is used in tests.
  * Make autopkgetests install recommends as we need various runtime bits to
    make the tests pass correctly

 -- Harald Sitter <sitter@kde.org>  Tue, 01 Sep 2015 14:12:42 +0200

gwenview (4:15.08.0-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 27 Aug 2015 17:37:03 +0100

gwenview (4:15.07.90-0ubuntu1) wily; urgency=medium

  * New upstream release
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 09:29:30 +0100

gwenview (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * New upstream release
  * Vivid backport

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 18:27:55 +0200
