=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Uploaders: Eshat Cakar <info@eshat.de>,
            Sune Vuorela <sune@debian.org>,
            Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
+Build-Depends: baloo-kf5-dev,
+               cmake,
                debhelper (>= 9),
                extra-cmake-modules,
                libexiv2-dev,
@@ -32,9 +33,7 @@
 Section: graphics
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Replaces: kdegraphics-libs-data (<< 4:4.7.1~)
-Breaks: kdegraphics-libs-data (<< 4:4.7.1~)
-Recommends: kamera
+Recommends: kamera, kio-extras
 Description: image viewer
  Gwenview is an image viewer, ideal for browsing and displaying a collection of
  images.  It is capable of showing images in a full-screen slideshow view and
@@ -47,8 +46,6 @@
 Architecture: any
 Priority: extra
 Depends: gwenview (= ${binary:Version}), ${misc:Depends}
-Replaces: kdegraphics-dbg (<< 4:4.7.1~)
-Breaks: kdegraphics-dbg (<< 4:4.7.1~)
 Description: debugging symbols for the gwenview
  This package contains debugging files used to investigate problems with
  Gwenview.
